jQuery( function ( $ ) {

	$( document ).on( 'change', '.wc-gzdp-generator input, .wc-gzdp-generator select', function () {
		$( this ).parents( 'tr' ).trigger( 'check_question' );
	} );

	$( '.wc-gzdp-generator .form-table tr' ).bind( 'check_question', function () {
		$( this ).find( 'input:not(.select2-focusser, .select2-input), select' ).each( function () {
			$( this ).trigger( 'check_input' );
		} );
	} );

	$( '.wc-gzdp-generator .form-table tr input, .wc-gzdp-generator .form-table tr select' ).bind( 'check_input', function () {

		var checked = false;

		if ( $( this ).is( ':checked' ) || $( this ).is( ':selected' ) )
			checked = true;

		var name_org = $( this ).attr( 'name' );

		if ( typeof name_org === typeof undefined || name_org === false ) {
			return;
		}

		var name = name_org.replace( '[]', '' );
		var elem = $( this );
		var val = $( this ).val();

		$( '.wc-gzdp-generator' ).find( 'input[data-show_if_' + name + '], select[data-show_if_' + name + '], textarea[data-show_if_' + name + ']' ).each( function () {
			$( this ).trigger( 'check_show_if_' + (checked ? 'checked' : 'unchecked'), elem );
		} );

		$( this ).parents( '.form-table' ).trigger( 'check_table' );
	} );

	$( '.wc-gzdp-generator input, .wc-gzdp-generator select, .wc-gzdp-generator textarea' ).bind( 'check_show_if_checked', function ( e, elem ) {
		var i_val = $( elem ).val();
		var name = $( elem ).attr( 'name' ).replace( '[]', '' );
		var cur_val = $( this ).data( 'show_if_' + name );
		var hide = true;
		if ( cur_val == 'equal_' + i_val && $( elem ).is( ':visible' ) ) {
			$( this ).parents( 'tr' ).show();
		}
		$( this ).trigger( 'check_input' );
	} );

	$( '.wc-gzdp-generator input, .wc-gzdp-generator select, .wc-gzdp-generator textarea' ).bind( 'check_show_if_unchecked', function ( e, elem ) {
		var i_val = $( elem ).val();
		var name = $( elem ).attr( 'name' ).replace( '[]', '' );
		var cur_val = $( this ).data( 'show_if_' + name );
		var hide = true;
		if ( cur_val == 'equal_' + i_val || !($( elem ).is( ':visible' )) ) {
			$( this ).parents( 'tr' ).hide();
		}
		$( this ).trigger( 'check_input' );
	} );

	$( '.wc-gzdp-generator .form-table' ).bind( 'check_table', function () {
		var hide = true;
		var table = $( this );
		$( this ).find( 'tr' ).each( function () {
			if ( $( this ).is( ':visible' ) ) {
				hide = false;
			}
		} );
		if ( hide ) {
			table.hide();
		}
	} );

	$( '.wc-gzdp-generator .form-table tr' ).bind( 'desc', function ( e, desc ) {
		if ( desc.length > 0 ) {
			$( '.wc-gzdp-generator-sidebar .info' ).html( desc ).show();
			$( '.wc-gzd-admin-settings-sidebar-inner' ).show();
		} else {
			$( '.wc-gzd-admin-settings-sidebar-inner' ).hide();
		}
	} );

	$( document ).on( 'mouseover', '.wc-gzdp-generator .form-table tr', function () {
		if ( $( this ).find( '*[data-custom-desc]:first' ).length > 0 ) {
			$( this ).trigger( 'desc', $( this ).find( '*[data-custom-desc]:first' ).data( 'custom-desc' ) );
		}
	} );

	$( '.wc-gzdp-generator .form-table tr' ).each( function () {
		var $mandatory = $( this ).find( ':input[data-mandatory^="<span"]' );
		$mandatory.addClass( 'wc-gzdp-input-mandatory' );
		if ( $mandatory.length > 0 ) {
			var mandatory_str = $mandatory.data( 'mandatory' );
			$( this ).find( 'label:first' ).append( ' ' + mandatory_str );
		}
	} );

	/*
	$( document ).on( 'focus', '.wc-gzdp-generator input[type=radio], .wc-gzdp-generator input[type=checkbox], .wc-gzdp-generator input[type=text], .wc-gzdp-generator textarea', function() {
		if ( $( this ).data( 'custom-desc' ) )
			$( this ).parents( 'tr' ).trigger( 'desc', $( this ).data( 'custom-desc' ) );
	});
*/

	// Hide show_if default
	$( '.wc-gzdp-generator .form-table input[type=radio]:checked, .wc-gzdp-generator .form-table input[type=checkbox]:checked, .wc-gzdp-generator .form-table select' ).trigger( 'change' );

	// Loading Generator
	$( '.wc-gzdp-generator' ).delay( 800 ).animate( {
		opacity: 1
	}, 150 );

	$( document ).on( 'change', '.wc-gzdp-disclaimer-input', function () {
		$( this ).parents( '.wc-gzdp-disclaimer' ).removeClass( 'notice-error notice-success' );
		if ( !$( this ).is( ':checked' ) ) {
			$( '.wc-gzdp-generator-submit' ).hide();
			$( this ).parents( '.wc-gzdp-disclaimer' ).addClass( 'notice-error' );
		} else {
			$( '.wc-gzdp-generator-submit' ).show();
			$( this ).parents( '.wc-gzdp-disclaimer' ).addClass( 'notice-success' );
		}
	} );

	// Submit
	if ( $( '.wc-gzdp-generator' ).length > 0 ) {
		// Remove hidden fields
		$( document ).on( 'submit', '.woocommerce #mainform', function () {

			if ( !$( '.wc-gzdp-disclaimer-input' ).is( ':checked' ) ) {
				$( '.wc-gzdp-disclaimer' ).removeClass( 'notice-success' );
				$( '.wc-gzdp-disclaimer' ).addClass( 'notice-error' );
				return false;
			}

			var form_is_submittable = false;

			$( '.wc-gzdp-generator' ).find( ':input.wc-gzdp-input-mandatory' ).each( function () {
				var $input = $( this );
				var is_valid = true;

				$input.removeClass( 'wc-gzdp-input-error' );

				if ( $input.is( 'input' ) ) {
					if ( 'text' === $input.attr( 'type' ) ) {
						if ( $input.val() === '' ) {
							is_valid = false;
						}
					}
				} else if ( $input.is( 'select' ) ) {

				} else if ( $input.is( 'textarea' ) ) {
					if ( $input.val() === '' ) {
						is_valid = false;
					}
				}

				if ( !is_valid ) {
					form_is_submittable = false;
					$input.addClass( 'wc-gzdp-input-error' );
				}
			} );

			if ( !form_is_submittable ) {

				$( [document.documentElement, document.body] ).animate( {
					scrollTop: ($( '.wc-gzdp-input-error:first' ).offset().top - 60)
				}, 1000 );

				return false;
			}

			$( '.wc-gzdp-generator tr' ).each( function () {
				if ( !$( this ).is( ':visible' ) )
					$( this ).remove();
			} );
		} );
	}

	var _custom_media = true,
		_orig_send_attachment = wp.media.editor.send.attachment;

	$( document ).on( 'click', '.button-wc-gzdp-attachment-field', function ( e ) {

		var id = $( this ).data( 'input' );
		var input = $( '#' + id );
		var allow_multiple = $( this ).data( 'multiple' ) == "1" ? true : false;
		var utype = $( this ).data( 'type' );
		var wrapper = $( this ).parents( '.wc-gzdp-attachment-wrapper' );

		if ( typeof (custom_file_frame) !== "undefined" ) {
			custom_file_frame.close();
		}

		custom_file_frame = wp.media.frames.customHeader = wp.media( {
			//Title of media manager frame
			title: wc_gzdp_attachment_field.title,
			library: {
				type: utype
			},
			button: {
				text: wc_gzdp_attachment_field.insert
			},
			multiple: allow_multiple
		} );

		custom_file_frame.on( 'select', function () {
			var currents = input.val().split( ',' );
			var attachments = custom_file_frame.state().get( 'selection' ).toJSON();
			var string = input.val();
			var cur_attachments = string.split( ',' );

			if ( !allow_multiple && cur_attachments.length > 0 ) {
				$.each( cur_attachments, function ( i, val ) {
					var remove = true;

					$.each( attachments, function ( index, attachment ) {
						if ( attachment.id == val ) {
							remove = false;
						}
					} );

					if ( remove ) {
						wrapper.find( 'a.unset-attachment[data-unset="' + val + '"]' ).trigger( 'click' );
					}
				} );

				string = input.val();
			}

			$.each( attachments, function ( index, attachment ) {
				if ( $.inArray( String( attachment.id ), currents ) === - 1 ) {
					string += ((index > 0 || string.length > 0) ? "," : "") + attachment.id;

					wrapper.find( '.current-attachment' ).append(
						'<div class="wc-gzdp-unset-attachment-wrap data-unset-' + attachment.id + '"><a class="unset-attachment" data-unset="' + attachment.id + '" href="#"><span class="dashicons dashicons-no-alt"></span></a> <a href="' + attachment.editLink + '" target="_blank">' + attachment.title + '</a></div>'
					);
				}
			} );

			input.val( string );

		} );

		custom_file_frame.open();
	} );

	$( document ).on( 'click', '.unset-attachment', function () {
		var delid = $( this ).data( 'unset' );
		var input = $( this ).parents( '.wc-gzdp-attachment-wrapper' ).find( '.wc-gzdp-attachment-id-data' );
		var val = input.val();
		var ids = val.split( ',' );
		var string = "";
		var count = 0;
		$.each( ids, function ( index, id ) {
			if ( delid != id )
				string += (count ++ > 0 ? "," : "") + id;
		} );
		input.val( string );
		$( this ).parents( '.current-attachment' ).find( '.data-unset-' + delid ).remove();
		return false;
	} );

	$( '.wc-gzdp-input-reset-locked' ).each( function () {

		var propName = $( this ).attr( 'name' );

		$( this ).after( '<span class="wc-gzdp-reset-checkbox"><input type="checkbox" class="' + propName + '_lock" name="' + propName + '_lock" value="1" /> ' + $( this ).data( 'unlock-title' ) + '</span>' );
		$( this ).prop( 'readonly', 'readonly' );

		$( document ).on( 'change', '.' + propName + '_lock', function () {
			if ( $( this ).is( ':checked' ) ) {
				$( this ).parents( 'td' ).find( 'input.wc-gzdp-input-reset-locked' ).prop( 'readonly', '' );
			} else {
				$( this ).parents( 'td' ).find( 'input.wc-gzdp-input-reset-locked' ).prop( 'readonly', 'readonly' );
			}
		} );
	} );

	$( document ).on( 'change', '#woocommerce_gzdp_vat_requester_vat_id', function() {
		var $input 		= $( this ).parents( 'table' ).find( '#woocommerce_gzdp_vat_id_additional_field_check' ),
			currentName = $( this ).attr( 'name' ).replace( /[\[\]']+/g, '' ),
			$field 		= $input.parents( 'tr' );

		$field.removeClass( 'wc-gzd-setting-visible wc-gzd-setting-invisible' );

		if ( $( this ).val().length > 0 ) {
			$field.addClass( 'wc-gzd-setting-visible' );
			$( document.body ).trigger( 'woocommerce_gzd_setting_field_visible', [ $field, currentName, $input.val() ] );
		} else {
			$field.addClass( 'wc-gzd-setting-invisible' );
			$( document.body ).trigger( 'woocommerce_gzd_setting_field_invisible', [ $field, currentName, $input.val() ] );
		}
	} );

	if ( $( '#woocommerce_gzdp_vat_requester_vat_id' ).length > 0 ) {
		$( '#woocommerce_gzdp_vat_requester_vat_id' ).trigger( 'change' );
	}
} );